API Explorer 936 endpoints

Get Tax Residences of Customer

GET /obp/v7.0.0/banks/BANK_ID/customers/CUSTOMER_ID/tax-residences

OBPv3.1.0-getTaxResidence Roles: CanGetTaxResidence(per bank) CustomerKYC

Get the Tax Residences of the Customer specified by CUSTOMER_ID.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

BANK_ID: gh.29.uk

CUSTOMER_ID: 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh

JSON response body fields (4)
domain
tax_number
456
tax_residence
tax_residence_id
Example success response
{
  "tax_residence": [
    {
      "domain": "Enter some domain",
      "tax_number": "Enter some number",
      "tax_residence_id": "902ba3bb-dedd-45e7-9319-2fd3f2cd98a1"
    }
  ]
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-30046: Customer not found. Please specify a valid value for CUSTOMER_ID.
  • OBP-50000: Unknown Error.
Implemented by OBPv3.1.0 getTaxResidence Originally /obp/v3.1.0/banks/BANK_ID/customers/CUSTOMER_ID/tax-residences